#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	easytag
Version		:	2.4.3
Release		:	14.4.0.0%{?dist}
Summary		:	Tag editor for MP3, Ogg, FLAC and other music files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://gitlab.gnome.org/GNOME/easytag

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libappstream-glib-devel
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	id3lib-devel
BuildRequires	:	libvorbis
BuildRequires	:	libglade
BuildRequires	:	libogg
BuildRequires	:	yelp-tools

Requires	:	glib
Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
EasyTAG is a utility for viewing, editing and
writing the tags of MP4, MP3, MP2, FLAC,
Ogg Opus, Ogg Speex, Ogg Vorbis, MusePack and
Monkey's Audio files.
 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang	
%defattr(-,root,root,-)
%doc ChangeLog HACKING README THANKS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg
%{_datadir}/glib-2.0/schemas/org.gnome.EasyTAG.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.EasyTAG.gschema.xml
%{_mandir}/man1/%{name}.1.gz

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q -n %{name}-%{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-appdata-validate			\

%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} 						\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop 

%find_lang %{name} --with-gnome
#-----------------------------------------------------------------------------
%changelog
